var recorder, shortid;

shortid = require("shortid");

recorder = require("./core/recorder");

exports.add = function() {
  return recorder.dispatch("todo/add", {
    id: shortid.generate(),
    done: false,
    text: ""
  });
};

exports.update = function(id, text) {
  return recorder.dispatch("todo/update", {
    id: id,
    text: text
  });
};

exports.toggle = function(id) {
  return recorder.dispatch("todo/toggle", id);
};

exports.remove = function(id) {
  return recorder.dispatch("todo/remove", id);
};

exports.internalCommit = function() {
  return recorder.dispatch("actions-recorder/commit");
};

exports.internalReset = function() {
  return recorder.dispatch("actions-recorder/reset");
};

exports.internalPeek = function(position) {
  return recorder.dispatch("actions-recorder/peek", position);
};

exports.internalRun = function() {
  return recorder.dispatch("actions-recorder/run");
};

exports.internalMergeBefore = function() {
  return recorder.dispatch("actions-recorder/merge-before");
};

exports.internalClearAfter = function() {
  return recorder.dispatch("actions-recorder/clear-after");
};
